GuideLab Docs

Regulatory documents checklist for the lab's country

GET
/compliance

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

application/json

curl -X GET "https://example.com/compliance"
{  "jurisdiction": {    "code": "string",    "regime": "string",    "languages": [      "en"    ],    "documentLanguage": "en"  },  "profile": {    "version": 1,    "legalRepresentative": {      "name": "string",      "role": "string"    },    "prrc": {      "name": "string",      "qualification": "string",      "deputyName": "string"    },    "registrationNumber": "string",    "technicalManager": {      "name": "string"    },    "vigilanceCorrespondent": {      "name": "string"    },    "managementRepresentative": {      "name": "string"    },    "dpo": {      "name": "string"    },    "chemicalsContact": {      "name": "string"    },    "documentLanguage": "en",    "outsourcedSites": [      {        "name": "string",        "address": "string"      }    ],    "disinfection": {      "taskIds": [        "string"      ],      "product": "string"    },    "hiddenTypeKeys": [      "string"    ]  },  "categories": [    {      "id": "string",      "name": "string",      "parentId": "string",      "deviceFamily": "fixed_prosthesis",      "deviceClass": "I",      "effectiveFamily": "fixed_prosthesis",      "effectiveClass": "I",      "activeProductCount": 0    }  ],  "checklist": [    {      "key": "string",      "name": "string",      "category": "string",      "kind": "generated",      "subject": "none",      "audiences": [        "string"      ],      "requirement": "law",      "legalBasis": "string",      "condition": "string",      "sources": [        "string"      ],      "recurrenceMonths": 1,      "applies": true,      "hidden": true,      "status": "missing",      "documentCount": 0,      "latestDocument": {        "id": "string",        "typeKey": "string",        "subjectKey": "string",        "shared": true,        "latestRevision": {          "number": 1,          "source": "generated",          "language": "en",          "templateVersion": 1,          "note": "string",          "createdAt": "string",          "createdByName": "string",          "issuedOn": "string",          "expiresOn": "string",          "file": {            "name": "string",            "contentType": "string",            "sizeBytes": 0          }        }      }    }  ]}
{  "error": "string"}